:host {
  position: absolute;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size);
}

.grid-content {
  display: grid;
  grid-template-areas:
    "visuel"
    "content1"
    "content2"
    "chart"
    "actions";
  width: 70vw;
  padding-top: 100px;
  padding-bottom: 50px;

  @media screen and (min-width: 768px) {
    margin-top: 0;
    grid-template-areas:
      "visuel visuel"
      "content1 content2"
      "chart chart"
      "actions .";
  }
}

.top-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 70vw;

  @media screen and (min-width: 768px) {
    flex-direction: column;
  }
}

.top-svg {
  width: 100%;
  max-width: 208px;
  margin: auto;
  margin-bottom: var(--spacing-big);
  grid-area: visuel;
}

.gauge {
  width: 190px;

  @media screen and (min-width: 768px) {
    width: 170px;
    margin-bottom: var(--spacing-big);
  }
}

.top-text {
  font-size: var(--secondary-font-size);
  text-align: center;
  grid-area: content1;

  @media screen and (min-width: 768px) {
    padding: var(--spacing-big);
  }

  @media screen and (min-width: 1920px) {
    padding: 0;
  }
}

.result-text {
  grid-area: content2;
  margin-bottom: var(--spacing-bigger);

  @media screen and (min-width: 768px) {
    margin-bottom: 0;
  }

  @media screen and (min-width: 1920px) {
    max-width: 30vw;
  }
}

.actions {
  grid-area: actions;
}

.chart-wrapper {
  grid-area: chart;
  height: 250px;
  max-width: 70vw;
  margin: var(--spacing-medium) 0;

  @media screen and (min-width: 768px) {
    height: 200px;
    margin: var(--spacing-bigger) 0;
  }
}

app-default-dialog-content {
  p {
    padding-top: var(--spacing-medium);
    margin-bottom: var(--spacing-medium);
  }

  .modal-actions {
    padding: var(--spacing) var(--spacing) var(--spacing) 0;
  }
}

.tooltip-content {
  padding: var(--spacing);
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size-very-small);
}

.no-chart {
  font-size: var(--secondary-font-size-very-small);
  opacity: 0.8;
}
